QGIS Application - Bug report #9507

QGIS crash when opening a HTML Map Tip with some mistakes

2014-02-07 12:20 AM - Nacho Varela

Status: Closed
Priority: High
Assignee:

Category:

Affected QGIS version:2.0.1

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: up/downstream

Copied to github as #: 18098

Description

| wrote a simple html code to display a Map Tip on a vector layer:

<span style="color:darkyellow">MYCODE</span> [% MYCODE %]

| select the Map Tip tool and QGIS crashes when try to show the tip dialog with the not valid color "darkyellow".

History

#1 - 2014-02-07 05:54 AM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2014-02-08 04:03 AM - Jiirgen Fischer
- Resolution set to up/downstream
- Status changed from Open to Feedback

| suppose this only applies to Qt 4.7 (which OSGeo4W 32bit still uses)

#3 - 2014-02-09 03:49 AM - Nacho Varela

You are right. I've tried on Ubuntu and it doesn't happen.

#4 - 2014-02-15 04:27 AM - Giovanni Manghi

closing this?

#5 - 2014-03-11 12:29 AM - Nacho Varela
- Status changed from Feedback to Closed

I've updated to QGIS 2.2 under Windows and now there is no crash anymore.

2025-04-27

1/1




